POST
/shopCreate Shop
This endpoint allows you to create a review shop, which is a collection of hotel codes and source codes for which review or rating information is requested. It also lets you specify the type of review information needed using the shoptype parameter.
- •shopName: The name of the review shop.
- •hotelCodes: The hotel codes to include in the review shop.
- •sourceCodes: The source codes to include in the review shop.
- •shopType: The type of review information needed.
- ◦1: Only Rating Information
- ◦2: Rating and Reviews Information
- ◦3: Rating and Reviews Information with Sentiment Analysis
POST
/shopMandatory Fields
- shopName
- hotelCodes
- sourceCodes
- shopType
Parameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | Required | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Created | |
| 400 | Bad Request | Bad Request | None |
| 401 | Unauthorized | Authorization Failed | None |
| 429 | Too Many Requests | Too Many Requests | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST /shop \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'Body parameter
{
"shopName": "Abc",
"hotelCodes": [
1,
123
],
"sourceCodes": [
1,
283
],
"shopType": 1
}Example responses
201 Response
{
"message": "Shops details inserted successfully!",
"shopId": 1122
}Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.